# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-IO-Tty
Version:	1.12
Release:	6.%{__distinit}%{__distvers}
Summary:	Perl interface to pseudo tty's
License:	(GPL+ or Artistic) and BSD
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/IO-Tty/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/IO-Tty-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 6 || 0%{?rhel} > 5
BuildRequires:	perl-devel
%endif
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(POSIX)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
IO::Tty and IO::Pty provide an interface to pseudo tty's.

%prep
%setup -q -n IO-Tty-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc ChangeLog README
%{perl_vendorarch}/auto/IO/
%{perl_vendorarch}/IO/
%{_mandir}/man3/IO::Pty.3*
%{_mandir}/man3/IO::Tty.3*
%{_mandir}/man3/IO::Tty::Constant.3*

%changelog
* Wed Aug 31 2016 Paul Howarth <paul@city-fan.org> - 1.12-6
- BR: perl-devel and perl-generators where available
- Simplify find commands using -empty and -delete
- Parts of Tty.xs are BSD-licensed

* Mon Sep 22 2014 Paul Howarth <paul@city-fan.org> - 1.12-1
- Update to 1.12
  - Add support for PERL_MM_OPT
  - Fix typo in compiler detection error message (CPAN RT#75649)
  - Fix "redefinition of typedef" errors with v5.19.4 and above
- Classify buildreqs by usage

* Tue May  6 2014 Paul Howarth <paul@city-fan.org> - 1.11-1
- Update to 1.11
  - Add get_winsize and set_winsize
  - Explicitly drop support for Win32 (CPAN RT#77813)
- Drop %%defattr, redundant since rpm 4.4

* Tue Jul 16 2013 Paul Howarth <paul@city-fan.org> - 1.10-11
- Perl 5.18 rebuild

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 1.10-6
- BR: perl core modules that might be dual-lived
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorarch}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Use %%{_fixperms} macro rather than our own chmod incantation

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 1.10-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Oct 12 2010 Paul Howarth <paul@city-fan.org> - 1.10-1
- Update to 1.10:
  - CPAN RT#60788 - better error reporting on Operating Systems that can't
    set a controlling terminal e.g. BeOS

* Tue Oct  5 2010 Paul Howarth <paul@city-fan.org> - 1.09-1
- Update to 1.09:
  - CPAN RT#45008 - only try TIOCSCTTY if we don't have a ctty
  - CPAN RT#53883 - IO::Tty detection on BeOS w/fix
  - CPAN RT#60014 - better META.yml by modernizing Makefile.PL
  - CPAN RT#44771 - add _ to list of escape characters for compiler
  - CPAN RT#61642 - fix file number test to work without hang on cygwin
- This release by TODDR -> update source URL
- BR: perl(Test::More)

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 1.08-6
- Rebuild for perl 5.12.1 in Rawhide

* Fri Jun  4 2010 Paul Howarth <paul@city-fan.org> - 1.08-5
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> - 1.08-4
- Dist tag for Rawhide no longer needs special-casing

* Fri Sep 11 2009 Paul Howarth <paul@city-fan.org> - 1.08-3
- Use %%{?perl_default_filter}

* Sun Mar  1 2009 Paul Howarth <paul@city-fan.org> - 1.08-2
- Filter out unwanted provides for perl shared objects

* Wed Feb 25 2009 Paul Howarth <paul@city-fan.org> - 1.08-1
- Update to 1.08 (add support for posix_openpt())
- Update to SLES-compatible dist tag macros

* Thu Oct 30 2008 Paul Howarth <paul@city-fan.org> - 1.07-4
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Add buildreq perl(ExtUtils::MakeMaker)

* Fri Jun 29 2007 Paul Howarth <paul@city-fan.org> - 1.07-3
- Import from Fedora

* Sun Sep 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.07-2
- Rebuild for FC6.

* Fri Jul 21 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.07-1
- Update to 1.07.

* Tue Jul 18 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.06-1
- Update to 1.06.

* Sat Jun 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.05-1
- Update to 1.05.

* Wed May 31 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.04-1
- Update to 1.04.

* Tue May  9 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.03-1
- Update to 1.03.
- Taking maintainership.

* Tue Feb 14 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.02-5
- Rebuild.

* Tue Jan 17 2006 Ville Skyttä <ville.skytta at iki.fi> - 1.02-4
- Rebuild, cosmetic cleanups.

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.02-3
- rebuilt

* Sun Feb  1 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.02-0.fdr.2
- Reduce directory ownership bloat.

* Fri Nov 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.02-0.fdr.1
- First build.
